org.apache.flume.channel.jdbc

## Enum TransactionIsolation

- java.lang.Object
- - java.lang.Enum<TransactionIsolation>
  - - org.apache.flume.channel.jdbc.TransactionIsolation

- All Implemented Interfaces:
    Serializable, Comparable<TransactionIsolation>

      public enum TransactionIsolation
      extends Enum<TransactionIsolation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ_COMMITTED`
    `READ_UNCOMMITTED`
    `REPEATABLE_READ`
    `SERIALIZABLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionIsolation` | `getByName(String name)`
    `int` | `getCode()`
    `String` | `getName()`
    `String` | `toString()`
    `static TransactionIsolation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransactionIsolation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ_UNCOMMITTED

          public static final TransactionIsolation READ_UNCOMMITTED

    - #### READ_COMMITTED

          public static final TransactionIsolation READ_COMMITTED

    - #### REPEATABLE_READ

          public static final TransactionIsolation REPEATABLE_READ

    - #### SERIALIZABLE

          public static final TransactionIsolation SERIALIZABLE

  - ### Method Detail

    - #### values

          public static TransactionIsolation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionIsolation c : TransactionIsolation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionIsolation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### getName

          public String getName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<TransactionIsolation>`

    - #### getByName

          public static TransactionIsolation getByName(String name)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.